#!/bin/sh
restore_files ()
{
TO_DIR=$1
NEW=$2
shift 2
for i in $*
do
        if [ -f ${oldfiles_dir}/${i} ]
        then
                CONTINUE="Y"
                if [ "$NEW" = "TRUE" ]
                then
                        if [ -f ${TO_DIR}/${i} ]
                        then
                                cp -fp ${TO_DIR}/${i} ${TO_DIR}/${i}.new
                                if [ $? -ne 0 ]
                                then
                                        ERROR_COPYING="Y"
                                        CONTINUE="N"
                                fi
                        fi
                fi
                if [ "$CONTINUE" = "Y" ]
                then
                        cp -fp ${oldfiles_dir}/${i} ${TO_DIR}
                        if [ $? -eq 0 ]
                        then
                                COPYMADE=Y
                        else
                                ERROR_COPYING="Y"
                        fi
                fi
        fi
done
}

# restore config files

WES_HOME=/opt/ibm/edge
COMPONENT=admin
APP_HOME=${WES_HOME}/${COMPONENT}
COPYMADE=N
ERROR_COPYING=N
oldfiles_dir=${WES_HOME}/oldfiles/${COMPONENT}

# For installed files, create a *.new version before restoring, but don't do
# that for generated files.
DOT_NEW=TRUE
restore_files ${APP_HOME}/wsesamd/bin $DOT_NEW hosts.allow hosts.deny

DOT_NEW=FALSE
restore_files ${APP_HOME}/wsesamd/bin/wsesamd.d $DOT_NEW \
                amd.kdb amd.crl amd.pf amd.rdb apps

if [ ${ERROR_COPYING} = "Y" ]; then
        echo ""
        echo "Error copying configuration files from ${oldfiles_dir},"
        echo "not all old versions restored."
        echo ""
elif [ ${COPYMADE} = "Y" ]; then
        echo ""
        echo "Configuration files have been restored"
        echo ""
fi

exit 0